Bug 124781 - Curren development kernels are causing openGL troubles
Summary: Curren development kernels are causing openGL troubles
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-29 22:59 UTC by Michal Jaegermann
Modified: 2015-01-04 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 09:09:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-05-29 22:59:09 UTC
Description of problem:

At least 2.6.6-1.397,2.6.6-1.394 and  2.6.6-1.391 on i686 have
this nasty habit that if any openGL application is touched,
say some random xscreensaver, then a machine locks up instantly
and thoroughly.  glxgears are equally effective.  Nothing works
but a power switch and, clearly, there are no traces in logs.

kernel-2.6.5-1.358 does not sport such behaviour.

Comment 1 Dave Jones 2004-05-31 21:26:28 UTC
lspci output please?


Comment 2 Michal Jaegermann 2004-05-31 22:41:54 UTC
That is one from a machine in question (Acer laptop):

-[00]-+-00.0  Intel Corp. 82845G/GL [Brookdale-G] Chipset Host Bridge
      +-02.0  Intel Corp. 82845G/GL [Brookdale-G] Chipset Integrated
Graphics Device
      +-1d.0  Intel Corp. 82801DB USB (Hub #1)
      +-1d.1  Intel Corp. 82801DB USB (Hub #2)
      +-1d.2  Intel Corp. 82801DB USB (Hub #3)
      +-1d.7  Intel Corp. 82801DB USB EHCI Controller
      +-1e.0-[02]--+-05.0  Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+
      |            \-09.0  O2 Micro, Inc. OZ6912 Cardbus Controller
      +-1f.0  Intel Corp. 82801DB ISA Bridge (LPC)
      +-1f.1  Intel Corp. 82801DB ICH4 IDE
      +-1f.3  Intel Corp. 82801DB SMBus
      +-1f.5  Intel Corp. 82801DB AC'97 Audio
      \-1f.6  Intel Corp. 82801DB AC'97 Modem

To that particular one I will have an access again only in July.

Comment 3 Arjan van de Ven 2004-06-01 07:39:17 UTC
should be fixed in 403 from http://people.redhat.com/arjanv/2.6/


Comment 4 Mike Lurk 2004-06-01 15:00:21 UTC
Here is the output for lspci as requested by Dave Jones
[root@Darkstar root]# lspci
00:00.0 Host bridge: Intel Corp. 82810E DC-133 GMCH [Graphics Memory
Controller Hub] (rev 03)
00:01.0 VGA compatible controller: Intel Corp. 82810E DC-133 CGC
[Chipset Graphics Controller] (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801AA PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corp. 82801AA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801AA IDE (rev 02)
00:1f.2 USB Controller: Intel Corp. 82801AA USB (rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801AA AC'97 Audio
(rev 02)
01:0b.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 05)

Comment 5 Dave Jones 2004-11-03 03:45:39 UTC
fixed now ?


Comment 6 Michal Jaegermann 2004-11-03 04:35:30 UTC
> fixed now ?
It looks that way.  At least on a machine where this trouble
was showing and where I can check.


Note You need to log in before you can comment on or make changes to this bug.